Subject: Re: [PATCH net-next 0/5] ATU and FDB synchronization on locked ports

From: Ido Schimmel <[email-masked]>
Date: Thu, 2 Feb 2023 17:43:28 +0200

On Thu, Feb 02, 2023 at 08:37:08AM +0100, [email-masked] wrote:
> On 2023-01-31 20:25, Ido Schimmel wrote:
> > 
> > Will try to review tomorrow, but it looks like this set is missing
> > selftests. What about extending bridge_locked_port.sh?
> 
> I knew you would take this up. :-)
> But I am not sure that it's so easy to have selftests here as it is timing
> based and it would take the 5+ minutes just waiting to test in the stadard
> case, and there is opnly support for mv88e6xxx driver with this patch set.

The ageing time is configurable: See commit 081197591769 ("selftests:
net: bridge: Parameterize ageing timeout"). Please add test cases in the
next version.